CREATE_MODULE(2)

NAME
create_module - create a loadable module entry

SYNOPSIS
#include <linux/module.h>

caddr_t create_module(const char *name, size_t size);

DESCRIPTION
create_module attempts to create a loadable module entry and reserve the kernel memory that will be needed to hold the module. This system call is only open to the superuser.

RETURN VALUE
On success, returns the kernel address at which the module will reside. On error -1 is returned and errno is set appropriately.

ERRORS

EPERM
    The user is not the superuser.

EEXIST
    A module by that name already exists.

EINVAL
    The requested size is too small even for the module header information.

ENOMEM
    The kernel could not allocate a contiguous block of memory large enough for the module.

EFAULT
    name is outside the program's accessible address space.

SEE ALSO
init_module(2), delete_module(2), query_module(2).